#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 pcre-heavy
version:              1.0.0.4
visibility:           public
id:                   pcre-heavy-1.0.0.4-BCKsrlSBVDT5Rfnm1ekbUQ
key:                  pcre-heavy-1.0.0.4-BCKsrlSBVDT5Rfnm1ekbUQ
license:              LicenseRef-PublicDomain
copyright:            2015-2025 Val Packett <val@packett.cool>
maintainer:           val@packett.cool
author:               Val Packett
homepage:             https://codeberg.org/valpackett/pcre-heavy
synopsis:
    A regexp (regex) library on top of pcre-light you can actually use.

description:
    A PCRE-based regular expressions library with support for multiple matches and replacements.
    Based on <https://hackage.haskell.org/package/pcre-light pcre-light>.
    Takes and returns <https://hackage.haskell.org/package/string-conversions convertible strings> everywhere.
    Includes a QuasiQuoter for regexps that does compile time checking.

category:             Web
abi:                  ded1d77d5d0643b42ba73698a0cfd6e8
exposed:              True
exposed-modules:      Text.Regex.PCRE.Heavy
import-dirs:          /usr/lib/ghc-9.4.8/site-local/pcre-heavy-1.0.0.4
library-dirs:         /usr/lib/ghc-9.4.8/site-local/pcre-heavy-1.0.0.4
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/pcre-heavy-1.0.0.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-pcre-heavy
hs-libraries:         HSpcre-heavy-1.0.0.4-BCKsrlSBVDT5Rfnm1ekbUQ
depends:
    base-4.17.2.1 base-compat-0.12.3-H9qTMlLoDHsHlMi1O3x7Rp
    bytestring-0.11.5.3 pcre-light-0.4.1.3-6LXT8EOEMJy8XPbYUAihd2
    string-conversions-0.4.0.1-GnvCZkNkYXZBEsxBCPZYSp
    template-haskell-2.19.0.0

haddock-interfaces:   /usr/share/doc/haskell-pcre-heavy/html/pcre-heavy.haddock
haddock-html:         /usr/share/doc/haskell-pcre-heavy/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

